lucene-pylucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andi Vajda <va...@apache.org>
Subject Re: [nag][VOTE] Release PyLucene 6.5.0 (rc2) (now with Python 3 support)
Date Wed, 05 Apr 2017 15:05:00 GMT

> On Apr 5, 2017, at 06:27, Jan Høydahl <jan.asf@cominvent.com> wrote:
> 
> Tested on python3 on macOS 10.12.3
> 
> One error:
> ======================================================================
> ERROR: testThroughLayerException (__main__.PythonExceptionTestCase)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>  File "test3/test_PythonException.py", line 34, in testThroughLayerException
>    qp.parse("foo bar")
> lucene.JavaError: <unprintable JavaError object>

That error is probably due to your not building jcc with shared mode support.

> ----------------------------------------------------------------------
> Ran 1 test in 0.004s
> 
> FAILED (errors=1)
> /usr/local/Cellar/python3/3.6.1/bin/python3 test3/test_PythonQueryParser.py
> ..
> ----------------------------------------------------------------------
> Ran 2 tests in 0.011s
> 
> 
> PS: The http://lucene.apache.org/pylucene/install.html <http://lucene.apache.org/pylucene/install.html>
guide could need a better recipe for python3, i.e. use “python3” instead of “python”
or use variables.

That all depends on the installation of python. In my case, it's 'python' in both 2 and 3,
with different directories. I highly recommend using python virtual environments when dealing
with multiple python versions on the same machine.

Andi..

> 
> --
> Jan Høydahl, search solution architect
> Cominvent AS - www.cominvent.com
> 
>> 4. apr. 2017 kl. 20.56 skrev Andi Vajda <vajda@apache.org>:
>> 
>> 
>> One more PMC vote is needed to make this release !
>> Thanks !
>> 
>> Andi..
>> 
>> ---------- Forwarded message ----------
>> Date: Thu, 30 Mar 2017 12:27:53 -0700 (PDT)
>> From: Andi Vajda <vajda@apache.org>
>> To: pylucene-dev@lucene.apache.org
>> Cc: general@lucene.apache.rog
>> Subject: [VOTE] Release PyLucene 6.5.0 (rc2) (now with Python 3 support)
>> 
>> 
>> A few fixes were needed in JCC for better Windows support.
>> The PyLucene 6.5.0 rc1 vote is thus cancelled.
>> 
>> I'm now calling for a vote on PyLucene 6.5.0 rc2.
>> 
>> The PyLucene 6.5.0 (rc2) release tracking the recent release of
>> Apache Lucene 6.5.0 is ready.
>> 
>> A release candidate is available from:
>> https://dist.apache.org/repos/dist/dev/lucene/pylucene/6.5.0-rc2/
>> 
>> PyLucene 6.5.0 is built with JCC 3.0 included in these release artifacts.
>> 
>> JCC 3.0 now supports Python 3.3+ (in addition to Python 2.3+).
>> PyLucene may be built with Python 2 or Python 3.
>> 
>> Please vote to release these artifacts as PyLucene 6.5.0.
>> Anyone interested in this release can and should vote !
>> 
>> Thanks !
>> 
>> Andi..
>> 
>> ps: the KEYS file for PyLucene release signing is at:
>> https://dist.apache.org/repos/dist/release/lucene/pylucene/KEYS
>> https://dist.apache.org/repos/dist/dev/lucene/pylucene/KEYS
>> 
>> pps: here is my +1
> 


Mime
View raw message